---
title: Update an existing network
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/network/update-an-existing-network/
product: CloudConnexa Docs
---

# Update an existing network

`PUT /api/v1/networks/{id}`

**Update an existing network.**

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "egress": true,
  "internetAccess": "SPLIT_TUNNEL_ON",
  "gatewaysIds": [
    "00000000-0000-0000-0000-000000000000"
  ],
  "tunnelingProtocol": "OPENVPN"
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | true | none |
| body | body | [NetworkUpdateRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/networkupdaterequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » egress | body | boolean | false | none |
| » internetAccess | body | string | false | none |
| » gatewaysIds | body | \[string\] | false | none |
| » tunnelingProtocol | body | string | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| » internetAccess | SPLIT\_TUNNEL\_ON |
| » internetAccess | SPLIT\_TUNNEL\_OFF |
| » internetAccess | RESTRICTED\_INTERNET |
| » tunnelingProtocol | OPENVPN |
| » tunnelingProtocol | IPSEC |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | [NetworkResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/networkresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get existing network](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/network/get-existing-network.md)
Next: [Delete an existing network](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/network/delete-an-existing-network.md)
Index: https://openvpn.net/cloud-docs/llms.txt
